D4Science Infrastructure - Incident #6510

Workspace download servlet still not resilient to session expiration
Jan 20, 2017 04:55 PM - Massimiliano Assante

Status: Closed Start date: Jan 20, 2017
Priority: Immediate Due date: Jan 23, 2017
Assignee: Francesco Mangiacrapa % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

We just had a user from GEMex Gateway having the session expiration problem.

It seems that the WorkspaceDownload Servlet is still trying to read the user from the cookie in some part of the code. After the user
logged out and logged in it could download the files.

See exception:

[PORTAL] 1558720322 [http-bio-9090-exec-408] ERROR org.gcube.common.portal.PortalContext - The us
erId does not belong to any user -> -1

2017-01-20 15:44:47,705 ERROR portal.PortalContext [http-bio-9090-exec—-408,getCurrentUser:142] %|[P
ORTAL] 1558720322 [http-bio-9090-exec-408] ERROR org.gcube.common.portal.PortalContext - The user
Id does not belong to any user —> -1

2017-01-20 15:44:47,705 WARN server.DownloadServlet [http-bio-9090-exec-408,handleError:462] %$[PO
RTAL] 969287422 [http-bio-9090-exec-408] WARN org.gcube.portlets.user.workspace.server.DownloadSe

rvlet - Handle error occurred: 500: Error during workspace retrieving
2017-01-20 15:45:00,454 INFO events.LandingPageAction [http-bio-9090-exec-424,run:26] $[PORTAL] 1
558325842 [http-bio-9090-exec-424] INFO org.gcube.portal.events.LandingPageAction - LandingPageA

ction is ON

2017-01-20 15:45:00,455 INFO events.LandingPageAction [http-bio-9090-exec-424,getCustomLandingPag
e:48] %[PORTAL] 1558325843 [http-bio-9090-exec—-424] INFO org.gcube.portal.events.LandingPageActio
n - Private Site LandingPage Path = /group/gemex-gateway

2017-01-20 15:45:01,423 INFO server.NewsServiceImpl [http-bio-9090-exec-408,getUserConfiguration:
1012] %[PORTAL] 1558734040 [http-bio-9090-exec-408] INFO org.gcube.portlets.user.newsfeed.server.
NewsServiceImpl - Trying to read custom config fr News Feed (REFRESH_TIME, VRE Label and show tim
eline source)

2017-01-20 15:45:01,474 INFO server.NewsServiceImpl [http-bio-9090-exec-413,getAllUpdateUserFeeds
:195] % [PORTAL] 1558734091 [http-bio-9090-exec—-413] INFO org.gcube.portlets.user.newsfeed.server.

NewsServiceImpl - ****** retrieving posts for user: eugenio

[PORTAL] 1558734306 [http-bio-9090-exec-406] INFO HomeManageFactory - loading home. (Username: e
ugenio, scope: /ddscience.research-infrastructures.eu)

[PORTAL] 1558734306 [http-bio-9090-exec-406] INFO HomeManageFactory - getHomeManagerFactory

2017-01-20 15:45:02,083 INFO server.UserStatisticsServiceImpl [http-bio-9090-exec-409,getPostsSta
ts:242] %15:45:02,083 INFO [http-bio-9090-exec-409] [UserStatisticsServiceImpl:242] Context (s) tha
t are going to be used [/d4science.research-infrastructures.eu/gCubelApps/GEMex]

History

#1 - Jan 20, 2017 04:56 PM - Massimiliano Assante

- Subject changed from Workspace download serviet stil not resilient to session expiration to Workspace download servlet still not resilient to session
expiration

#2 - Jan 23, 2017 11:29 AM - Francesco Mangiacrapa

- Status changed from New to In Progress

#3 - Jan 23, 2017 11:55 AM - Francesco Mangiacrapa

- Status changed from In Progress to Closed

| added a patch in order to check the case of session expired (the userld is null or equal to -1) before downloading
The patch should fix the issue. The workspace will be updated in production as soon as the Etics build will be available.
I'm going to close this incident

#4 - Feb 09, 2017 05:35 PM - Massimiliano Assante
- Status changed from Closed to In Progress

- Priority changed from High to Immediate

After the upgrade of yesterday for fixing the catalogue the problem with the session appeared again, it seems that the patch to the catalogue was
performed on the bugged version

#5 - Feb 09, 2017 06:03 PM - Massimiliano Assante
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Restored the workspace previous version, the catalogue patch is not on production though

Sep 18, 2025 2/2


http://www.tcpdf.org

